Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.ext.awt.image.renderable
Interface TurbulenceRable

All Superinterfaces:
  Filter, FilterColorInterpolation, RenderableImage

All Known Implementing Classes:
  TurbulenceRable8Bit

    public interface TurbulenceRable

extends FilterColorInterpolation

Creates a sourceless image from a turbulence function.

Field Summary

Fields inherited from interface java.awt.image.renderable.RenderableImage
`HINTS_OBSERVED`

Method Summary
`double` | `getBaseFrequencyX()` Gets the current base fequency in x direction.
`double` | `getBaseFrequencyY()` Gets the current base fequency in y direction.
`int` | `getNumOctaves()` Gets the current number of octaves for the noise function .
`int` | `getSeed()` Gets the current seed value for the pseudo random number generator.
`Rectangle2D` | `getTurbulenceRegion()` Gets the turbulence region
`boolean` | `isFractalNoise()` Returns true if the turbulence function is using fractal noise, instead of turbulence noise.
`boolean` | `isStitched()` Returns true if the turbulence function is currently stitching tiles.
`void` | `setBaseFrequencyX(double xfreq)` Sets the base fequency in x direction.
`void` | `setBaseFrequencyY(double yfreq)` Sets the base fequency in y direction.
`void` | `setFractalNoise(boolean fractalNoise)` Turns on/off fractal noise.
`void` | `setNumOctaves(int numOctaves)` Sets the number of octaves for the noise function .
`void` | `setSeed(int seed)` Sets the seed value for the pseudo random number generator.
`void` | `setStitched(boolean stitched)` Sets stitching state for tiles.
`void` | `setTurbulenceRegion(Rectangle2D turbulenceRegion)` Sets the turbulence region

Methods inherited from interface org.apache.batik.ext.awt.image.renderable.FilterColorInterpolation
`getOperationColorSpace, isColorSpaceLinear, setColorSpaceLinear`

Methods inherited from interface org.apache.batik.ext.awt.image.renderable.Filter
`getBounds2D, getDependencyRegion, getDirtyRegion, getTimeStamp`

Methods inherited from interface java.awt.image.renderable.RenderableImage
`createDefaultRendering, createRendering, createScaledRendering, getHeight, getMinX, getMinY, getProperty, getPropertyNames, getSources, getWidth, isDynamic`

Method Detail

### setTurbulenceRegion

    void setTurbulenceRegion(Rectangle2D turbulenceRegion)

  Sets the turbulence region

  Parameters:
    `turbulenceRegion` - region to fill with turbulence function.

### getTurbulenceRegion

    Rectangle2D getTurbulenceRegion()

  Gets the turbulence region

### getSeed

    int getSeed()

  Gets the current seed value for the pseudo random number generator.

  Returns:
    The current seed value for the pseudo random number generator.

### getBaseFrequencyX

    double getBaseFrequencyX()

  Gets the current base fequency in x direction.

  Returns:
    The current base fequency in x direction.

### getBaseFrequencyY

    double getBaseFrequencyY()

  Gets the current base fequency in y direction.

  Returns:
    The current base fequency in y direction.

### getNumOctaves

    int getNumOctaves()

  Gets the current number of octaves for the noise function .

  Returns:
    The current number of octaves for the noise function .

### isStitched

    boolean isStitched()

  Returns true if the turbulence function is currently stitching tiles.

  Returns:
    true if the turbulence function is currently stitching tiles.

### isFractalNoise

    boolean isFractalNoise()

  Returns true if the turbulence function is using fractal noise, instead of turbulence noise.

  Returns:
    true if the turbulence function is using fractal noise, instead of turbulence noise.

### setSeed

    void setSeed(int seed)

  Sets the seed value for the pseudo random number generator.

  Parameters:
    `seed` - The new seed value for the pseudo random number generator.

### setBaseFrequencyX

    void setBaseFrequencyX(double xfreq)

  Sets the base fequency in x direction.

  Parameters:
    `xfreq` - The new base fequency in x direction.

### setBaseFrequencyY

    void setBaseFrequencyY(double yfreq)

  Sets the base fequency in y direction.

  Parameters:
    `yfreq` - The new base fequency in y direction.

### setNumOctaves

    void setNumOctaves(int numOctaves)

  Sets the number of octaves for the noise function .

  Parameters:
    `numOctaves` - The new number of octaves for the noise function .

### setStitched

    void setStitched(boolean stitched)

  Sets stitching state for tiles.

  Parameters:
    `stitched` - true if the turbulence operator should stitch tiles.

### setFractalNoise

    void setFractalNoise(boolean fractalNoise)

  Turns on/off fractal noise.

  Parameters:
    `fractalNoise` - true if fractal noise should be used.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.